edu.isi.pegasus.common.credential

## Enum CredentialHandler.TYPE

- java.lang.Object
- - java.lang.Enum<CredentialHandler.TYPE>
  - - edu.isi.pegasus.common.credential.CredentialHandler.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CredentialHandler.TYPE>

Enclosing interface:
  CredentialHandler

    public static enum CredentialHandler.TYPE
    extends java.lang.Enum<CredentialHandler.TYPE>

An enumeration of valid types of credentials that are supported.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`irods`
`s3`
`ssh`
`x509`

### Method Summary

All Methods Static Methods Concrete Methods
`static CredentialHandler.TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CredentialHandler.TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### x509

    public static final CredentialHandler.TYPE x509

#### s3

    public static final CredentialHandler.TYPE s3

#### irods

    public static final CredentialHandler.TYPE irods

#### ssh

    public static final CredentialHandler.TYPE ssh

### Method Detail

#### values

    public static CredentialHandler.TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CredentialHandler.TYPE c : CredentialHandler.TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CredentialHandler.TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null